CHOWN(1)

NOMBRE
chown - cambia el usuario y grupo propietarios de ficheros

SINOPSIS
chown [OPCIÓN]... [PROPIETARIO][:[GRUPO]] FICHERO...
chown [OPCIÓN]... --reference=FICHERO-R FICHERO...

DESCRIPCIÓN
Esta página de manual documenta la versión GNU de chown. chown modifica la propiedad del usuario y/o grupo de cada archivo dado. Si solo se proporciona un propietario (un nombre de usuario o ID de usuario numérico), ese usuario se convierte en el propietario de cada archivo dado y el grupo al qe pertenecen los archivos no se modifica. Si el propietario va seguido de dos puntos y un nombre de grupo (o ID de grupo numérico), sin espacios entre ellos, tambień se cambiará el grupo al que pertenecen. Si se ponen dos puntos pero ningún nombre de grupo a continuación, ese usuario se convierte en el propietario de los archivos y el grupo de archivos se cambia al grupo principal al que pertenece ese usuario. Si se indican los dos puntos y el grupo, pero se omite el propietario, solo se cambiará el grupo; en este caso, chown realiza la misma función que chgrp. Si solo se dan dos puntos, o si todo el operando está vacío, no se cambia ni el propietario ni el grupo.

OPCIONES

Cambia el propietario y/o grupo de cada FICHERO a PROPIETARIO y/o GRUPO. Con --reference, cambia el propietario y el grupo de cada FICHERO a los que tenga FICHERO-R.

-c, --changes
    como `verbose' pero informa solo si se hizo algún cambio

-f, --silent, --quiet
    suprime la mayoría de los mensajes de error

-v, --verbose
    muestra un mensaje por cada archivo procesado

--dereference
    afecta al referente de cada enlace simbólico (esta es la opción predeterminada), en lugar de al propio enlace simbólico

-h, --no-dereference
    afecta a los enlaces simbólicos en vez de a cualquier archivo al que apunten (solo es útil en sistemas donde es posible modificar el dueño de un enlace simbólico).

--from=PROPIETARIO_ACTUAL:GRUPO_ACTUAL
    cambia el propietario y/o el grupo de cada fichero solamente si su propietario y/o grupo actual coinciden con los especificados aquí. Se puede omitir cualquiera de los dos, en cuyo caso no se requiere coincidencia para el atributo omitido

--no-preserve-root
    no trata '/' de forma especial (predeterminado)

--preserve-root
    no opera recursivamente sobre '/'

--reference=R-ARCHIVO
    use RFILE's ownership rather than specifying values. RFILE is always dereferenced if a symbolic link.

-R, --recursive
    opera sobre archivos y directorios recursivamente

The following options modify how a hierarchy is traversed when the -R option is also specified. If more than one is specified, only the final one takes effect. -P is the default.

-H  si un argumento de la línea de órdenes es un enlace simbólico a un directorio, lo atraviesa

-L  atraviesa cualquier enlace simbólico a un directorio que se encuentre

-P  no atraviesa ningún enlace simbólico

--help
    muestra la ayuda y finaliza

--version
    muestra la versión del programa y finaliza

El propietario no cambia si se omite. El grupo no cambia si se omite, pero cambia al grupo de login si se indica implícitamente con ':' después del PROPIETARIO simbólico. PROPIETARIO y GRUPO pueden ser numéricos o simbólicos.

EJEMPLOS

chown root /u
    Cambia el propietario de /u a "root".

chown root:staff /u
    Similar, pero también cambia el grupo a "staff".

chown -hR root /u
    Cambia el propietario de /u y subficheros a "root".

AUTOR
Escrito por David MacKenzie y Jim Meyering.

INFORMAR DE ERRORES
Ayuda en línea de GNU Coreutils: <https://www.gnu.org/software/coreutils/>
Informe cualquier error de traducción a <https://translationproject.org/team/es.html>

VÉASE TAMBIÉN
chown(2)

Ayuda en línea: <https://www.gnu.org/software/coreutils/chown>
también disponible localmente ejecutando: info '(coreutils) chown invocation'

Packaged by Debian (9.7-2)
Copyright © 2025 Free Software Foundation, Inc.
Licencia GPLv3+: GNU GPL versión 3 o posterior <https://gnu.org/licenses/gpl.html>.
Esto es software libre: usted es libre de cambiarlo y redistribuirlo.
NO HAY GARANTÍA, en la medida permitida por la legislación.

TRADUCCIÓN
La traducción al español de esta página del manual fue creada por Gerardo Aburruzaga García <gerardo.aburruzaga@uca.es>, Juan Piernas <piernas@ditec.um.es> y Marcos Fouces <marcos@debian.org>

Esta traducción es documentación libre; lea la GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) o posterior con respecto a las condiciones de copyright. No existe NINGUNA RESPONSABILIDAD.

Si encuentra algún error en la traducción de esta página del manual, envíe un correo electrónico a debian-l10n-spanish@lists.debian.org.